# PSF-LoginServer - master - net.psforever.util.Md5Mac
PSF - LoginServer - master - net.psforever.util.Md5Mac
Keywords: PSF LoginServer master net.psforever.util.Md5Mac

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package util
  Definition Classes
    psforever
- AdminConfig
- AntiCheatConfig
- AppConfig
- Config
- Database
- DatabaseConfig
- DefinitionUtil
- DevelopmentConfig
- DiffieHellman
- GameConfig
- HartConfig
- KamonConfig
- LoginConfig
- Md5Mac
- MiddlewareConfig
- NetSimConfig
- NetworkConfig
- NewAvatar
- PointOfInterest
- SentryConfig
- SessionConfig
- WorldConfig

c

net.psforever.util

# Md5Mac 

###
Companion object Md5Mac

#### class Md5Mac extends AnyRef

MD5-MAC is a ancient MAC algorithm from the 90s that nobody uses anymore. Not to be confused with HMAC-MD5. A description of the algorithm can be found at http://cacr.uwaterloo.ca/hac/about/chap9.pdf, 9.69 Algorithm MD5-MAC There appear to be two implementations: In older versions of CryptoPP (2007) and OpenCL (2001) (nowadays called Botan and not to be confused with the OpenCL standard from Khronos). Both libraries have since removed this code. This file is a Scala port of the OpenCL implementation. Source: https://github.com/sghiassy/Code-Reading-Book/blob/master/OpenCL/src/md5mac.cpp

Source
  Md5Mac.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Md5Mac
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Md5Mac(key: ByteVector)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  def doFinal(length: Int = MACLENGTH): ByteVector

   Perform final hash calculations and reset the state

   Perform final hash calculations and reset the state

   returns

     the hash

7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  val key: ByteVector
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  def update(bytes: ByteVector): Unit
20.  def updateFinal(bytes: ByteVector, length: Int = MACLENGTH): ByteVector

    Shorthand for `update` and `doFinal`

21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped